/*  Style for link in bio */

/* Variables Globales */
:root {
    --font-fam: 'Figtree', sans-serif;
    --color-prim: #2CD081;
    --color-text: #101010;
    --color-back: #f9f9f9;
    --color-back-black: #202028;
    --color-border: #CCCCCC;
    --link-hover: #005bb5;
}
html {
    font-size: 16px;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    box-sizing: border-box;
    scroll-behavior: smooth;
}
*,
*::before,
*::after {
    box-sizing: inherit;
    margin: 0;
    padding: 0;
}
body {
    font-family: var(--font-fam); 
    color: var(--color-text);
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    /* transition: all .4s ease; */
}
a {
    color: inherit;
    transition: background-color .4s ease, color .4s ease, border-color .4s ease;
    /* transition: all .4s ease; */
}
a:hover {
    color: var(--color-prim)
}
.link-in-bio-container {
    background-color: var(--color-back);
    display: flex;
    justify-content: center;
    width: 100%;
    max-width: 100%;
    min-height: 100vh;
}
.bio-content {
    width: 100%;
    max-width: 600px;
    padding: 20px;
    padding-top: 50px;
}
.bio-content-wrap {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 30px;
}
.profile-header {
    display: flex;
    gap: 20px;
}
.profile-header img.profile-image {
    width: 120px;
    height: 120px;
    border-radius: 50%;
    object-fit: cover;
    border: 1px solid var(--color-border);
}
.profile-header .name .icono-verified {
    display: inline;
    margin-left: 5px;
}
.profile-header .name .icono-verified svg {
    width: 20px;
    height: 20px;
    fill: var(--color-prim);
}
.profile-header .profile-btn {
    display: flex;
}
.profile-header .profile-btn .link-text {
    font-size: 15px;
    color: white;
    background: var(--color-text);
    border: 1px solid var(--color-text);
    border-radius: 10px;
    padding: 8px 20px;
    display: flex;
    align-content: center;
    align-items: center;
    gap: 10px;
    transition: all .4s ease;
}
.profile-header .profile-btn .link-text .icon {
    width: 20px;
}
.profile-header .profile-btn .link-text .icon svg {
    width: 100%;
    height: auto;
}
.profile-header .profile-btn .link-text .icon svg,
.profile-header .profile-btn .link-text .icon svg * {
    transition: all .4s ease;
}
.profile-header .profile-btn:hover .link-text {
    background: var(--color-prim);
    border-color: var(--color-prim);
}
.profile-header .profile-btn:hover .link-text .icon svg #s2 {
    fill: var(--color-text);
}
.profile-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
}
.social-links {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
}
.social-link {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    font-size: 18px;
    color: var(--color-text);
    transition: all .5s ease;
}
.social-link:hover {
    color: var(--color-prim);
}
.custom-links {
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.custom-link {
    display: flex;
    align-items: center;
    text-decoration: none;
    background: white;
    padding: 15px 20px;
    border-radius: 10px;
    width: 100%;
    color: var(--color-text);
    border: 1px solid var(--color-border);
    box-shadow: 0 0 15px rgba(0, 0, 0, .1);
}
.custom-link:hover {
    color: white;
    background: var(--color-prim);
}
.custom-link .link-icon {
    margin-right: 20px;
    font-size: 20px;
    width: 20px;
}
.custom-link .text-wrap {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 5px;
}
.custom-link .text-wrap .link-text {
    font-size: 14px;
}
.link-in-bio-footer {
    text-align: center;
    margin-top: 40px;
}
.link-in-bio-footer a {
    display: block;
    font-size: 14px;
    text-align: center;
    text-decoration: none;
}
.link-in-bio-footer a .link-text {
    display: flex;
    align-items: center;
    justify-content: center;
}
.link-in-bio-footer a svg{
    width: 80px;
    height: auto;
    margin-left: 5px;
}
.formaciones-grid {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
}
.formacion {
    width: 100%;
}
.formacion a {
    color: inherit;
}
.formacion a:hover {
    color: inherit;
}
.formacion .formacion-wrap {
    text-decoration: none;
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    box-shadow: 0 0 15px rgba(0, 0, 0, .1);
    background-color: white;
    border-radius: 10px;
    overflow: hidden;
}
.formacion .formacion-left {
    display: flex;
    flex-direction: column;
    width: 55%;
    align-items: flex-start;
    background: var(--color-back-black);
}
.formacion .formacion-img {
    width: 100%;
    padding-top: 56.25%;
    position: relative;
    min-height: 100%;
}
.formacion .formacion-img img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.formacion .button {
    padding: 7px 24px;
    border: 1px solid var(--color-prim);
    background-color: var(--color-prim);
    color: white;
    border-radius: 25px;
}
.formacion .formacion-info {
    width: 45%;
}
.formacion .formacion-info-wrap {
    display: flex;
    flex-direction: column;
    padding: 15px;
    gap: 15px;
    width: 100%;
    height: 100%;
    justify-content: space-between;
    align-items: flex-start;
}
.formacion h3 {
    font-weight: 700;
}
@media (max-width: 600px) {
    .formacion .formacion-wrap {
        flex-direction: column;
    }
    .formacion .formacion-left,
    .formacion .formacion-info {
        width: 100%;
    }
}